AMQPExchange::getArguments
AMQPExchange::getName
AMQPExchange
PHP Manual

# AMQPExchange::getFlags

(PECL amqp >= Unknown)

AMQPExchange::getFlags — Get the flag bitmask

### Description

public int AMQPExchange::getFlags ( void )

Get all the flags currently set on the given exchange.

### Parameters

This function has no parameters.

### Return Values

An integer bitmask of all the flags currently set on this exchange object.

AMQPExchange::getArguments
AMQPExchange::getName
AMQPExchange
PHP Manual